svg {
    max-width: 30px;
}

.woocommerce ul.products li.product.first {
    clear: left;
}

.woocommerce ul.products li.product {
    text-align: center;
    margin-bottom: 45px;
}

.woocommerce ul.products li.product .product-header {
    position: relative;
    overflow: hidden;
    margin-bottom: 0px;
}

.woocommerce ul.products li.product a img {
    margin-bottom: 0;
    transition: opacity 0.7s;
}

.woocommerce ul.products li.product .product-hover-image {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    width: 100%;
}

.woocommerce ul.products li.product .buttons {
    text-align: center;
    position: absolute;
    top: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
}

.woocommerce ul.products li.product .buttons .button {
    transition: transform 0.0s, opacity 0.0s, background 0.0s;
    border-radius: 60%;
    margin: 0px 5px 0px 5px;
    padding: 0;
    display: inline-block;
    vertical-align: bottom;
    width: 40px;
    height: 40px;
    min-width: 0;
    min-height: 40px;
    line-height: 40px;
    overflow: hidden;
    opacity: 0;
    z-index: 10;
    border: 0px solid #ddd;
}

.woocommerce ul.products li.product:hover .product-hover-image {
    opacity: 1;
}

.woocommerce ul.products li.product:hover .buttons .button {
    transform: translateY(-72px);
    opacity: 1;
    background-color: #333;
}

.woocommerce ul.products li.product:hover .buttons .button svg {
    fill: #ffffff;
    width: 22px;
    margin-top: 10px;
}

.woocommerce ul.products li.product:hover .buttons .button:hover {
    background-color: #ffffff;
}

.woocommerce ul.products li.product:hover .buttons .button:hover svg {
    fill: #333;
}

li.product a.tinvwl_add_to_wishlist_button.tinvwl-icon-heart.no-txt.tinvwl-position-shortcode.button.add-to-wishlist-button {
    color: #fff;
}

li.product a.tinvwl_add_to_wishlist_button.tinvwl-icon-heart.no-txt.tinvwl-position-shortcode.button.add-to-wishlist-button:hover {
    color: #000;
}

.woocommerce ul.products li .star-rating {
    display: none;
}

/*------------
Breadcrumbs
---------------*/
.woocommerce nav.woocommerce-breadcrumb {
    padding-top: 10px;
    padding-bottom: 10px;
    color: #000000;
    font-weight: 500;
    margin-bottom: 50px;
    margin-top: 30px;
}

body.post-type-archive-product nav.woocommerce-breadcrumb {
    margin-bottom: 0px;
    margin-top: 0px;
}

body.post-type-archive-product nav.woocommerce-breadcrumb .container {
    padding-left: 0px;
    padding-right: 0px;
}

.woocommerce .woocommerce-breadcrumb a {
    color: #000000;
}

.woocommerce .woocommerce-result-count {
    margin-top: 15px;
}

.woocommerce .woocommerce-ordering {
    margin: 15px 0 1em;
}

.woocommerce nav.woocommerce-pagination ul li span.current,
.woocommerce nav.woocommerce-pagination ul li a:hover {
    color: #333;
    font-weight: 600;
    line-height: 22px;
}

.woocommerce nav.woocommerce-pagination ul li a {
    color: #333;
    line-height: 22px;
}

.woocommerce nav.woocommerce-pagination ul li {
    margin: 5px;
    border: 1px solid #ddd;
    width: 40px;
    height: 40px;
}

.woocommerce nav.woocommerce-pagination ul {
    border: none;
}

.site-content {
    margin-top: 80px;
}

.woocommerce ul.products li.product .woocommerce-loop-product__title {
    padding: 1em 0 0 0;
    margin: 0;
    text-align: center;
    font-size: 15px;
    font-weight: 500;
    color: #333;
    min-height: 53px;
}

.woocommerce ul.products li.product .price {
    text-align: center;
    color: #333;
    font-weight: 600;
    font-size: 16px;
}

span.woocommerce-Price-currencySymbol {
    padding-left: 5px;
}

header.woocommerce-products-header {
    padding-bottom: 25px;
}

.cat-badge {
    background: #23232c;
    color: #fff;
    position: absolute;
    top: 0;
    padding: 3px 10px 5px;
    font-size: 14px;
}

.woocommerce ul.products li.product .onsale {
    background: #f68a70;
    color: #fff;
    padding: 0px 5px 0px;
    font-size: 12px;
    border-radius: 0;
    height: 26px;
    min-height: 5px;
    width: 50px;
    margin: 0;
    line-height: 27px;
}

body.single-product span.onsale {
    background: #f68a70;
    border-radius: 0;
    width: 55px;
    min-height: 15px;
    line-height: 2;
    left: 0;
    top: 0;
}

/*-----------------------
Product Detail Page
------------------------*/
.woocommerce-page div.product div.summary {
    width: 50%;
    padding-left: 2rem;
}

.woo-variation-product-gallery {
    max-width: 59% !important;
}

.woocommerce div.product .product_title {
    font-size: clamp(1.4rem, 4.5vw, 1.8rem);
    line-height: 1.2;
    margin-bottom: 1rem;
}

#pincheck_wrapper .pincheck_inner {
    padding-left: 0 !important;
}

section.related.products {
    padding-top: 20px;
    padding-bottom: 0;
}

section.related.products ul li {
    margin-bottom: 0 !important;
}

body.single-product p.price {
    margin-bottom: 0;
}

body.single-product p.price span.woocommerce-Price-amount.amount bdi,
span.woocommerce-Price-amount.amount {
    font-size: clamp(1.4rem, 3vw, 1.6rem);
    line-height: 1.2;
    margin-bottom: 0.8rem;
    color: var(--primary-color);
    font-weight: 600;
}

.summary.entry-summary .posted_in a {
    color: #323743;
}

.woocommerce .star-rating {
    height: 1.5rem;
    width: 6em;
}

.woocommerce .star-rating::before {
    font-size: 18px;
    top: 5px;
}

.summary.entry-summary p.price {
    display: none;
}

.woocommerce .star-rating span::before {
    font-family: 'WooCommerce';
    color: #F3C63F;
    font-size: 18px;
    top: 5px;
}

ul li,
ul ol {
    list-style-position: inside;
}

.custom-reviews .custom-reviews {
    color: #9095A1;
}

.custom-reviews strong {
    color: #323743;
    font-size: 1rem;
}

.custom-reviews .star-rating span strong.rating {
    display: none;
}

.woocommerce .custom-reviews .star-rating {
    height: 2rem;
    width: 6em;
}

.custom-price-breakdown {
    background: #f9fafb;
    border-radius: 12px;
    padding: 1.5rem;
    margin: 0;
    border: 1px solid #e5e7eb;
    margin-bottom: 30px;
}

.custom-price-breakdown p {
    margin: 0;
    padding: 0.5rem 0;
    display: flex;
    justify-content: space-between;
    align-items: center;
    font-size: 0.875rem;
    color: #6b7280;
    border-bottom: 1px solid #e5e7eb;
}

.custom-price-breakdown p:last-child {
    border-bottom: none;
    font-weight: 600;
    color: #1f2937;
}

.custom-price-breakdown .woocommerce-Price-amount {
    font-weight: 500 !important;
    color: #1f2937 !important;
    font-size: 16px !important;
    margin-bottom: 0px !important;
}

.woocommerce div.product form.cart .variations select {
    width: 100%;
    padding: 5px;
    margin: 5px 15px;
}

.woocommerce div.product form.cart .variations {
    margin-bottom: 1em;
    border: 0;
    width: 96%;
}

.variations-wrapper {
    margin-top: 30px;
    margin-bottom: 30px;
    width: 100%;
}

.brand-logos_wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: 20px;
}

.brand-logos_wrapper img {
    width: 120px;
}

.product-details-custom-section {
    clear: both;
    z-index: 9999999;
}

/* Product Details Tabs */
.product-details-tabs {
    margin: 30px 0;
    margin-bottom: 50px;
    position: sticky;
    top: 0px;
    background: #fff;
    padding: 10px;
    z-index: 9999999;
}

.product-tabs-nav {
    display: flex;
    align-items: center;
    list-style: none;
    margin: 0;
    padding: 0;
    gap: 30px;
    justify-content: flex-start;
}

.product-tabs-nav li {
    margin: 0;
    padding: 0;
    position: relative;
}

.product-tabs-nav li:not(:last-child)::after {
    content: '';
    position: absolute;
    right: -15px;
    top: 50%;
    transform: translateY(-50%);
    width: 1px;
    height: 20px;
    background-color: #e0e0e0;
}

.product-tabs-nav li a {
    display: inline-block;
    padding: 8px 20px;
    text-decoration: none;
    color: var(--primary-color);
    transition: all 0.3s ease;
    border-radius: 8px;
    margin: 0 15px;
}

.product-tabs-nav li.active a {
    background-color: var(--primary-color);
    color: #ffffff;
    transition: all 0.3s ease;
}

.product-tabs-nav li:not(.active) a:hover {
    color: #ffffff;
    background-color: var(--primary-color);
}

.article-card.ingredients-card {
    border: none;
    box-shadow: none;
    padding: 10px;
    padding-bottom: 0px;
}

.article-card.ingredients-card .article-card__content {
    padding-inline: 0px;
}

/* Number List */
.product-details-how-to-use ul {
    list-style: none;
    counter-reset: step;
    padding-left: 0;
}

.product-details-how-to-use ul li {
    counter-increment: step;
    position: relative;
    margin-bottom: 10px;
    padding-left: 30px;
}

.product-details-how-to-use ul li::before {
    content: counter(step) " ";
    position: absolute;
    left: 0;
    top: 3px;
    font-weight: normal;
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
    border-radius: 50%;
    width: 18px;
    height: 18px;
    text-align: center;
    line-height: 18px;
    font-size: 12px;
}

.how-to-use-content {
    padding-left: 30px;
}


#reviews .cr-summaryBox-wrap {
    background-color: #f0f0f0;
}

h2.woocommerce-Reviews-title,
.cr-voting-cont {
    display: none !important;
}

.woocommerce #reviews #comments ol.commentlist li .comment-text p {
    margin-bottom: 0;
}

.cr-all-reviews-shortcode .cr-review-form-buttons,
.cr-ajax-reviews-review-form .cr-review-form-buttons,
.cr-reviews-grid .cr-review-form-buttons,
.cr-qna-block .cr-review-form-buttons,
.cr-all-reviews-shortcode .cr-review-form-item,
.cr-ajax-reviews-review-form .cr-review-form-item,
.cr-reviews-grid .cr-review-form-item,
.cr-qna-block .cr-review-form-item,
.cr-review-form-wrap .cr-onsite-ratings .cr-review-form-rating,
.cr-review-form-wrap .cr-review-form-rating-overall .cr-review-form-rating,
.cr-all-reviews-shortcode .cr-review-form-comment,
.cr-ajax-reviews-review-form .cr-review-form-comment,
.cr-reviews-grid .cr-review-form-comment,
.cr-qna-block .cr-review-form-comment,
.cr-all-reviews-shortcode .cr-review-form-ne,
.cr-ajax-reviews-review-form .cr-review-form-ne,
.cr-reviews-grid .cr-review-form-ne,
.cr-qna-block .cr-review-form-ne {
    max-width: 100%;
}

/* Product Card */
.product-card {
    border: 1px solid #e0e0e0;
    border-radius: 10px;
    padding: 10px;
}

.product-card .attachment-woocommerce_thumbnail {
    border-radius: 10px 10px 0px 0px;
    -webkit-border-radius: 10px 10px 0px 0px;
    -moz-border-radius: 10px 10px 0px 0px;
    -ms-border-radius: 10px 10px 0px 0px;
    -o-border-radius: 10px 10px 0px 0px;
}

.woocommerce ul.products li.product .woocommerce-loop-product__title {
    text-align: left;
    color: var(--primary-color);
    font-size: 18px;
    font-weight: 600;
    line-height: 1.2;
}

.custom-after-price-img img {
    max-width: 20px;
    height: 20px;
}

.woocommerce-variation-price {
    display: none;
}

.price-image-wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.woocommerce ul.products li.product .price {
    text-align: left;
    color: var(--primary-color);
    font-weight: 600;
    font-size: 21px;
    line-height: normal;
    margin-bottom: 0;
}

p.product-subtitle.text-left {
    color: #323743;
}

.product-price del {
    display: inline-flex;
    text-decoration-thickness: 2px;
    text-decoration-color: var(--primary-color);
}

.product-price {
    font-size: 21px;
    font-weight: 600;
    color: var(--primary-color);
}

@media only screen and (max-width: 1024px) {

    .woocommerce ul.products[class*=columns-] li.product,
    .woocommerce-page ul.products[class*=columns-] li.product {
        width: 46%;
        float: left;
        margin: 0 4% 2.992em 0;
    }

    .woocommerce ul.products[class*=columns-] li.product:nth-child(2n),
    .woocommerce-page ul.products[class*=columns-] li.product:nth-child(2n) {
        float: right;
        clear: none !important;
    }
}

@media only screen and (max-width: 992px) {
    .how-to-use-content {
        padding-left: 0px;
    }

    .product-details-how-to-use .video-thumbnail {
        max-width: 100%;
        margin-bottom: 20px;
    }

}

@media only screen and (max-width: 768px) {
    .product-tabs-nav {
        flex-wrap: wrap;
        gap: 10px;
    }

    .product-tabs-nav li {
        flex: 1;
        min-width: 120px;
    }

    .product-tabs-nav li:not(:last-child)::after {
        display: none;
    }

    .product-tabs-nav li a {
        margin: 0 5px;
        padding: 10px 15px;
        font-size: 14px;
        text-align: center;
    }

    .woocommerce ul.products[class*=columns-] li.product,
    .woocommerce-page ul.products[class*=columns-] li.product {
        width: 100%;
        float: left;
        margin: 0 0 2.992em 0;
    }

    .woocommerce ul.products[class*=columns-] li.product:nth-child(2n),
    .woocommerce-page ul.products[class*=columns-] li.product:nth-child(2n) {
        float: right;
        clear: none !important;
    }

    .woocommerce-page div.product div.summary {
        width: 100%;
    }

    .woocommerce-page div.product div.summary {
        padding-left: 0px;
    }

    .product-details-tabs {
        padding-top: 30px;
        padding-bottom: 30px;
    }

    .product-details-custom-section {
        padding-top: 40px;
    }
}

@media only screen and (max-width: 574px) {
    .cr-review-form-ne {
        flex-direction: column;
        width: 100%;
    }

    .cr-review-form-ne div {
        width: 100% !important;
    }
}


span.posted_in {
    display: none !important;
}

.woocommerce ul.products li.product .price del {
    opacity: 1;
    display: inline-flex;
}

ins {
    text-decoration: none;
}